Subject: Re: [PATCH v6 14/14] difftool/mergetool: refactor commands to use git-mergetool--lib

From: Charles Bailey <[email-masked]>
Date: Sat, 11 Apr 2009 13:10:54 +0100

On Sat, Apr 11, 2009 at 01:00:40PM +0100, Charles Bailey wrote:
> On Wed, Apr 08, 2009 at 12:17:20AM -0700, David Aguilar wrote:
> > +    present=false
> > +    base_present &&
> > +    present=true
> 
> I'm not sure why, but from a style point of view, this seemed a bit
> inconsistent from the rest of mergetool and grated with me a bit.
> 
> I think I'd prefer
> 
> if base_present; then
>     present=false
> else
>     present=true
> fi

Although with 'true' and 'false' the corrent way around, obviously.

> 
> or even:
> 
> present=$(base_present && echo true || echo false)
> 

-- 
Charles Bailey
http://ccgi.hashpling.plus.com/blog/